import axios from '@/libs/axios.js';
// 确认领取优惠券
export const receivesCoupon = (params) => {
  return axios.request({
    url: `couponReceives/receivesCoupon/${params.couponCode}`,
    method: 'get'
  })
}

// 查询要领取的优惠券
export const couponData = (params) => {
  return axios.request({
    url: `couponReceives/receivesCoupon/${params.couponCode}`,
    method: 'get'
  })
}

// 优惠券领取明细查询
export const couponListFind = (params) => {
  return axios.request({
    url: `couponReceives/findPage`,
    method: 'post',
	data: params
  })
}
// 订单可用优惠券查询
export const couponEnable = (params) => {
  return axios.request({
    url: `couponReceives/findUsableCoupon`,
    method: 'post',
	data: params
  })
}